<?php
/**
 * @package   OSEmbed-Pro
 * @contact   www.joomlashack.com, help@joomlashack.com
 * @copyright 2020-2022 Joomlashack.com. All rights reserved
 * @license   https://www.gnu.org/licenses/gpl.html GNU/GPL
 *
 * This file is part of OSEmbed-Pro.
 *
 * OSEmbed-Pro is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * OSEmbed-Pro is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OSEmbed-Pro.  If not, see <https://www.gnu.org/licenses/>.
 */

namespace Alledia\OSEmbed\Pro\Provider;

defined('_JEXEC') or die();

trait TraitFacebook
{
    /**
     * @param array $config
     *
     * @return array
     */
    protected function setAccessToken(array $config)
    {
        $appID = empty($config['facebook']['appid']) ? null : $config['facebook']['appid'];
        $token = empty($config['facebook']['token']) ? null : $config['facebook']['token'];

        if ($appID && $token) {
            $config['access_token'] = $appID . '|' . $token;
        }

        return $config;
    }
}
