<?php
/**
 * @package   OSEmbed-Pro
 * @contact   www.joomlashack.com, help@joomlashack.com
 * @copyright 2020-2022 Joomlashack.com. All rights reserved
 * @license   https://www.gnu.org/licenses/gpl.html GNU/GPL
 *
 * This file is part of OSEmbed-Pro.
 *
 * OSEmbed-Pro is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * OSEmbed-Pro is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OSEmbed-Pro.  If not, see <https://www.gnu.org/licenses/>.
 */

namespace Alledia\OSEmbed\Pro;


use Alledia\OSEmbed\Free\ProviderCollection as FreeProviderCollection;

defined('_JEXEC') or die();

class ProviderCollection extends FreeProviderCollection
{
    /**
     * @inheritdoc
     */
    protected $excludeUrls = [];

    /**
     * @var string[]
     */
    protected $customProviders = [
        'Alledia\\OSEmbed\\Pro\\Provider\\Facebook',
        'Alledia\\OSEmbed\\Pro\\Provider\\Instagram',
        'Alledia\\OSEmbed\\Pro\\Provider\\GoogleDocs',
        'Alledia\\OSEmbed\\Pro\\Provider\\GoogleDrive',
        'Alledia\\OSEmbed\\Pro\\Provider\\GoogleMaps'
    ];

    /**
     * This list is based on Embera\ProviderCollection\DefaultProviderCollection
     *
     * @inheritdoc
     */
    protected $supportedProviders = [
        'ActBlue',
        'Adilo',
        'Adways',
        'Afreecatv',
        'Altium',
        'Altru',
        'AmCharts',
        'Amtraker',
        'Animoto',
        'AnnieMusic',
        'Apester',
        'Archivos',
        'Audioboom',
        'AudioClip',
        'Audiomack',
        'Audiomeans',
        'Avocode',
        'Backtracks',
        'BeautifulAI',
        'BlackfireIO',
        'Blogcast',
        'Bookingmood',
        'Bumper',
        'Buttondown',
        'Byzart',
        'Ceros',
        'Chainflix',
        'ChartBlocks',
        'Chirbit',
        'Chroco',
        'CircuitLab',
        'Clyp',
        'CodeHS',
        'CodePen',
        'Codepoints',
        'CodeSandbox',
        'Commaful',
        'Coub',
        'Crumbs',
        'Cueup',
        'Curated',
        'Dadan',
        'DailyMotion',
        'Dalexni',
        'Datawrapper',
        'Deseretnews',
        'Deviantart',
        'Didacte',
        'Digiteka',
        'DocDroid',
        'DotSUB',
        'DreamBroker',
        'EduMedia',
        'Embedery',
        'EnystreMusic',
        'Ethfiddle',
        'EventLive',
        'Everviz',
        'Eyrie',
        'Fader',
        'FaithLifeTV',
        'Fitapp',
        'FITE',
        'Flickr',
        'Flourish',
        'Framer',
        'GeographCI',
        'GeographDE',
        'GeographUk',
        'GetShow',
        'GettyImages',
        'Gfycat',
        'Giphy',
        'GloriaTV',
        'Gmetri',
        'Gong',
        'Grain',
        'Gyazo',
        'Hash',
        'Hearthis',
        'Heyzine',
        'HiHaHo',
        'HippoVideo',
        'Huffduffer',
        'iFixit',
        'IHeartRadio',
        'IMenuPro',
        'Imgur',
        'Incredible',
        'Infogram',
        'Infoveave',
        'Injurymap',
        'Inoreader',
        'InsticatorContentEngagementUnit',
        'Issuu',
        'Jovian',
        'KakaoTV',
        'Kickstarter',
        'KirimEmail',
        'Kit',
        'Kmdr',
        'Knacki',
        'Kooapp',
        'LearningApps',
        'Libsyn',
        'LillePod',
        'Lineplace',
        'Livestream',
        'LocalVoicesNetwork',
        'Loom',
        'LottieFiles',
        'Ludus',
        'Lumiere',
        'Matterport',
        'MediaLab',
        'MedienArchivKuenste',
        'MermaidInk',
        'MessesInfo',
        'MicrosoftStream',
        'Minesweeper',
        'MixCloud',
        'MusicboxManiacs',
        'Namchey',
        'Nanoo',
        'NaturalAtlas',
        'Nfb',
        'NFTndx',
        'NoPaste',
        'Odysee',
        'OmnyStudio',
        'OnSizzle',
        'OraTV',
        'Orbitvu',
        'Outplayed',
        'OverflowIO',
        'Padlet',
        'Pandavideo',
        'Pastery',
        'Picturelfy',
        'Pinpoll',
        'Pinterest',
        'Pitchhub',
        'Playbuzz',
        'Plusdocs',
        'Podbean',
        'Polldaddy',
        'Portfolium',
        'Prezi',
        'RadioPublic',
        'Rcvis',
        'Reddit',
        'ReleaseWire',
        'Replit',
        'ReverbNation',
        'Roomshare',
        'RoosterTeeth',
        'Rumble',
        'RunKit',
        'Saooti',
        'SapoVideos',
        'Screencast',
        'ScreenNine',
        'ScribbleMaps',
        'Scribd',
        'SendToNews',
        'Shoudio',
        'ShowTheWay',
        'Sketchfab',
        'SlateApp',
        'Slideshare',
        'SmashNotes',
        'Smeme',
        'Smrthi',
        'Smugmug',
        'SocialExplorer',
        'SongLink',
        'SoundCloud',
        'SpeakerDeck',
        'Spotify',
        'Spreaker',
        'SproutVideo',
        'StandfordDigitalRepository',
        'Streamable',
        'Streamio',
        'Subscribi',
        'Sudomemo',
        'Sutori',
        'Sway',
        'Synthesia',
        'Ted',
        'TheNewYorkTimes',
        'Tickcounter',
        'TikTok',
        'Toornament',
        'TrinityAudio',
        'Tumblr',
        'Tuxx',
        'Tvcf',
        'TwentyThreeHq',
        'Twitter',
        'Typecast',
        'UAPod',
        'UniversitePantheonSorbonne',
        'UniversityCambridgeMap',
        'UpecPod',
        'UstreamTV',
        'Ustudio',
        'Veer',
        'Verse',
        'Videfit',
        'VidMount',
        'Vidyard',
        'Vimeo',
        'Viously',
        'Vlipsy',
        'Vlive',
        'VouchFor',
        'VoxSnap',
        'Waltrack',
        'WaveVideo',
        'Wecandeo',
        'Wistia',
        'Wizer',
        'Wokwi',
        'WolframCloud',
        'Wordpress',
        'Wordwall',
        'Youtube',
        'Zeplin',
        'Zingsoft',
        'ZnipeTV',
        'Zoomable',
    ];

    /**
     * @inheritdoc
     */
    public function __construct(array $config = [])
    {
        parent::__construct($config);

        $this->registerProvider($this->customProviders, false);
    }
}
